/**********************************************************************
 [base.js]
**********************************************************************/
/*---------------------------------------------
 set
---------------------------------------------*/
var strRootPath  = ''; //home
var crntURL = location.href;
if(crntURL.indexOf('/htdocs/') != -1){
	strRootPath  = '/melsc/htdocs';
}
var strLinkPath  = strRootPath;
var strCommonDir = strRootPath + '/shared';

var strProtocol = 'https://'
if(crntURL.indexOf('/htdocs/') != -1){
  strProtocol = 'http://';
}
var strAction = strProtocol + document.domain + strRootPath;

/*
	--------------------------------
	Created: 2007.11.09
	Last Modified: 2007.11.09
	--------------------------------
	- Table of Contents -

	MM_Behavior
		- MM_preloadImages()
			event handler : onload="MM_preloadImages('path'[,'path']*)"
		- MM_swapImgRestore()
		- MM_findObj()
		- MM_swapImage()
			event handler : onmouseover="MM_swapImage('id','','path'[,'id','','path']*,1)" onmouseout="MM_swapImgRestore()"

	Configurations

	Site Search

	Rollover

	Mitsubishi
	--------------------------------
*/


/* --------------------------------
 stylesheet
-------------------------------- */
with (document) {
	if(navigator.userAgent.indexOf("Win") != -1 || navigator.userAgent.indexOf("win") != -1){
		write('<link rel="stylesheet" type="text/css" href="/melsc/shared/css/os_win.css" media="all">\n');
	}
	if(navigator.userAgent.indexOf("Mac") != -1 || navigator.userAgent.indexOf("mac") != -1){
		write('<link rel="stylesheet" type="text/css" href="/melsc/shared/css/os_mac.css" media="all">\n');
	}
}

/* --------------------------------
	MM_Behavior
-------------------------------- */

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}



/* --------------------------------
	Configurations
-------------------------------- */

var mitsubishi = new Mitsubishi();

mitsubishi.addEvent(window, 'load', function() {new SiteSearch().init('seek', 'phrase');}, false);
mitsubishi.addEvent(window, 'load', rollover, false);
mitsubishi.addEvent(window, 'load', function() {History.setCookiy();}, false);



/* --------------------------------
	Site Search
-------------------------------- */

function SiteSearch() {
	// 
	this.init = function(form, input) {
		if(typeof form == 'string') form = document.getElementById(form);
		if(typeof input == 'string') input = document.getElementById(input);
		if(form && input){
			var self = this;
			form.onsubmit = function() {self.submit(form, input); return false;}
			mitsubishi.addEvent(input, 'focus', function() {self.clear(input);}, false);
			mitsubishi.addEvent(input, 'blur', function() {self.reset(input);}, false);
		}
	}

	// F
	this.textColor = {
		blur: '#727272',
		focus: '#444'
	}

	// NA
	this.clear = function(elem) {
		if(elem.value == elem.defaultValue) {
			elem.style.color = this.textColor.focus;
			elem.value = '';
		}
	}

	// Zbg
	this.reset = function(elem) {
		if(elem.value == '') {
			elem.style.color = this.textColor.blur;
			elem.value = elem.defaultValue;
		}
	}

	// M
	this.submit = function(form, input) {
		if(input.value == '' || input.value == input.defaultValue) {
			alert('e͂Ă');
		} else {
			form.submit();
		}
	}
}



/* --------------------------------
	Rollover
-------------------------------- */

function rollover() {
	var elems = mitsubishi.getElementsByClassName('rollover', document.body, 'img');
	elems = elems.concat(mitsubishi.getElementsByClassName('rollover', document.body, 'input'));
	for(var i = 0, l = elems.length; i < l; i++) {
		var elem = elems[i];

		// v[h
		var temp = new Image();
		elem.src.match(/(\.gif|\.jpg|\.png)$/);
		temp.src = elem.src.replace(RegExp.$1, '_ov' + RegExp.$1);

		// Xbv
		elem.onmouseover = function() {
			this.src.match(/(\.gif|\.jpg|\.png)$/);
			this.src = this.src.replace(RegExp.$1, '_ov' + RegExp.$1);
		}

		// XgA
		elem.onmouseout = function() {
			this.src.match(/(\.gif|\.jpg|\.png)$/);
			this.src = this.src.replace('_ov' + RegExp.$1, RegExp.$1);
		}
	}
}



/* --------------------------------
	Mitsubishi
-------------------------------- */

function Mitsubishi() {
	// NXƂɗvf擾
	this.getElementsByClassName = function(className, parent, tagName) {
		if(parent && typeof parent == 'string') parent = document.getElementById(parent);
		if(!parent) parent = document;
		if(!tagName) tagName = '*';
		var elems = [];
		var collection = parent.getElementsByTagName(tagName);
		if(tagName == '*' && !collection.length && parent.all) collection = parent.all;// Win IE 5.x
		var pattern = new RegExp('(^|\\s)' + className + '(\\s|$)');
		for(var i = 0, l = collection.length; i < l; i++) {
			if(collection[i].className.match(pattern)) elems.push(collection[i]);
		}
		return elems;
	}

	// Cxg̒ǉ
	this.addEvent = function(elem, ev, func, capt) {
		if(elem.addEventListener) {// FF, SF, OP, NS
			elem.addEventListener(ev, func, capt);
			return true;
		} else if(elem.attachEvent) {// Win IE
			return elem.attachEvent('on' + ev, func);
		} else {// Mac IE
			var temp = elem['on' + ev];
			if(typeof elem['on' + ev] != 'function') {
				elem['on' + ev] = function(e) { func(e); }
			} else {
				elem['on' + ev] = function(e) {
					temp(e);
					func(e);
				}
			}
		}
	}
}





/* --------------------------------
	History
-------------------------------- */

var History={
		max:5,
		/**
		 * Cookie plugin
		 *
		 * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
		 * Dual licensed under the MIT and GPL licenses:
		 * http://www.opensource.org/licenses/mit-license.php
		 * http://www.gnu.org/licenses/gpl.html
		 *
		 */
		cookie : function(name, value, options) {
			if (typeof value != 'undefined') {
				options = options || {};
				if (value === null) {
					value = '';
					options.expires = -1;
				}
				var expires = '';
				if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
					var date;
					if (typeof options.expires == 'number') {
					date = new Date();
					date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
					} else {
						date = options.expires;
					}
					expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
				}
				var path = options.path ? '; path=' + (options.path) : '';
				var domain = options.domain ? '; domain=' + (options.domain) : '';
				var secure = options.secure ? '; secure' : '';
				document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
			} else {
				var cookieValue = null;
				if (document.cookie && document.cookie != '') {
					var cookies = document.cookie.split(';');
					for (var i = 0; i < cookies.length; i++) {
						var cookie = (cookies[i] || "").replace( /^\s+|\s+$/g, "" );
						// Does this cookie string begin with the name we want?
						if (cookie.substring(0, name.length + 1) == (name + '=')) {
							cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
							break;
						}
					}
				}
				return cookieValue;
			}
		},
		setCookiy : function() {
			var self=this;
			var historyList=[];
			
			var url=location.href;
			var tmp=[url];
			var cookie = this.cookie('historys');
			if(cookie===null){					// ߋȂ΂ȂɂȂ
			}else{								// Ɍ݂URLƓ̂΍폜
				historyList=cookie.split(',');
				tmp=tmp.concat(self.grep(historyList,function(str){ return str!=url;}));
			}
			if(tmp.length>self.max){
				tmp=tmp.slice(0,self.max);
			}
			this.cookie('historys', tmp.toString() ,{ expires: 7,path:'/'} );
		},

		grep: function( elems, callback, inv ) {
			var ret = [];
			for ( var i = 0, length = elems.length; i < length; i++ ) {
				if ( !inv !== !callback( elems[ i ], i ) ) {
					ret.push( elems[ i ] );
				}
			}
			return ret;
		}
		
}


/* --------------------------------
 smoothScroll
-------------------------------- */
var ss = {
  fixAllLinks: function() {
    // Get a list of all links in the page
    var allLinks = document.getElementsByTagName('a');
    // Walk through the list
    for (var i=0;i<allLinks.length;i++) {
      var lnk = allLinks[i];
      if ((lnk.href && lnk.href.indexOf('#') != -1) && 
          ( (lnk.pathname == location.pathname) ||
	    ('/'+lnk.pathname == location.pathname) ) && 
          (lnk.search == location.search)) {
        // If the link is internal to the page (begins in #)
        // then attach the smoothScroll function as an onclick
        // event handler
        ss.addEvent(lnk,'click',ss.smoothScroll);
      }
    }
  },

  smoothScroll: function(e) {
    // This is an event handler; get the clicked on element,
    // in a cross-browser fashion
    if (window.event) {
      target = window.event.srcElement;
    } else if (e) {
      target = e.target;
    } else return;

    // Make sure that the target is an element, not a text node
    // within an element
    if (target.nodeName.toLowerCase() != 'a') {
      target = target.parentNode;
    }
  
    // Paranoia; check this is an A tag
    if (target.nodeName.toLowerCase() != 'a') return;
  
    // Find the <a name> tag corresponding to this href
    // First strip off the hash (first character)
    anchor = target.hash.substr(1);
    // Now loop all A tags until we find one with that name
    var allLinks = document.getElementsByTagName('a');
    var destinationLink = null;
    for (var i=0;i<allLinks.length;i++) {
      var lnk = allLinks[i];
      if (lnk.name && (lnk.name == anchor)) {
        destinationLink = lnk;
        break;
      }
    }
    if (!destinationLink) destinationLink = document.getElementById(anchor);

    // If we didn't find a destination, give up and let the browser do
    // its thing
    if (!destinationLink) return true;
  
    // Find the destination's position
    var destx = destinationLink.offsetLeft; 
    var desty = destinationLink.offsetTop;
    var thisNode = destinationLink;
    while (thisNode.offsetParent && 
          (thisNode.offsetParent != document.body)) {
      thisNode = thisNode.offsetParent;
      destx += thisNode.offsetLeft;
      desty += thisNode.offsetTop;
    }
  
    // Stop any current scrolling
    clearInterval(ss.INTERVAL);
  
    cypos = ss.getCurrentYPos();
  
    ss_stepsize = parseInt((desty-cypos)/ss.STEPS);
    ss.INTERVAL =
setInterval('ss.scrollWindow('+ss_stepsize+','+desty+',"'+anchor+'")',10);
  
    // And stop the actual click happening
    if (window.event) {
      window.event.cancelBubble = true;
      window.event.returnValue = false;
    }
    if (e && e.preventDefault && e.stopPropagation) {
      e.preventDefault();
      e.stopPropagation();
    }
  },

  scrollWindow: function(scramount,dest,anchor) {
    wascypos = ss.getCurrentYPos();
    isAbove = (wascypos < dest);
    window.scrollTo(0,wascypos + scramount);
    iscypos = ss.getCurrentYPos();
    isAboveNow = (iscypos < dest);
    if ((isAbove != isAboveNow) || (wascypos == iscypos)) {
      // if we've just scrolled past the destination, or
      // we haven't moved from the last scroll (i.e., we're at the
      // bottom of the page) then scroll exactly to the link
      window.scrollTo(0,dest);
      // cancel the repeating timer
      clearInterval(ss.INTERVAL);
      // and jump to the link directly so the URL's right
      location.hash = anchor;
    }
  },

  getCurrentYPos: function() {
    if (document.body && document.body.scrollTop)
      return document.body.scrollTop;
    if (document.documentElement && document.documentElement.scrollTop)
      return document.documentElement.scrollTop;
    if (window.pageYOffset)
      return window.pageYOffset;
    return 0;
  },

  addEvent: function(elm, evType, fn, useCapture) {
    // addEvent and removeEvent
    // cross-browser event handling for IE5+,  NS6 and Mozilla
    // By Scott Andrew
    if (elm.addEventListener){
      elm.addEventListener(evType, fn, useCapture);
      return true;
    } else if (elm.attachEvent){
      var r = elm.attachEvent("on"+evType, fn);
      return r;
    } else {
      alert("Handler could not be removed");
    }
  } 
}

ss.STEPS = 25;
ss.addEvent(window,"load",ss.fixAllLinks);
